# Enum Class Annotation.AType

java.lang.Object
java.lang.Enum<Annotation.AType>
jspecview.common.Annotation.AType

All Implemented Interfaces:
  `Serializable, Comparable<Annotation.AType>, Constable`

Enclosing class:
  `Annotation`

public static enum Annotation.AType extends Enum<Annotation.AType>

Author:
  Debbie-Ann Facey, Khari A. Bryan, Prof Robert J. Lancashire, Bob Hanson hansonr@stolaf.edu

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Integration`
`Measurements`
`NONE`
`OverlayLegend`
`PeakList`
`Views`

## Method Summary

Modifier and Type
Method
Description
`static Annotation.AType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Annotation.AType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Integration

public static final Annotation.AType Integration

### PeakList

public static final Annotation.AType PeakList

### Measurements

public static final Annotation.AType Measurements

### OverlayLegend

public static final Annotation.AType OverlayLegend

### Views

public static final Annotation.AType Views

### NONE

public static final Annotation.AType NONE

## Method Details

### values

public static Annotation.AType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Annotation.AType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null